Bug 223685 - [NEW PORT] sysutils/tmux23 Terminal Multiplexer, older version 2.3
Summary: [NEW PORT] sysutils/tmux23 Terminal Multiplexer, older version 2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL:
Keywords: easy, feature
Depends on:
Blocks:
 
Reported: 2017-11-15 16:25 UTC by Miroslav Lachman
Modified: 2018-03-20 03:40 UTC (History)
2 users (show)

See Also:


Attachments
sysutils/tmux23 shar (4.09 KB, text/plain)
2017-11-15 16:25 UTC, Miroslav Lachman
no flags Details
poudriere testport build log (210.62 KB, text/plain)
2017-11-15 16:27 UTC, Miroslav Lachman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2017-11-15 16:25:58 UTC
Created attachment 188021 [details]
sysutils/tmux23 shar

This is restore of older version of sysutils/tmux because versions newer than 2.3 exhibits buggy behaviour with mouse scrolling etc. and some users (including me) feel new behaviour really annoying.

https://lists.freebsd.org/pipermail/freebsd-ports/2017-May/108611.html

https://github.com/tmux/tmux/issues/984

Tmux author refused to fix it, because it is called optimization feature.

So please add this tmux23 in to official FreeBSD ports for those users wanting back the old behaviour.
Comment 1 Miroslav Lachman 2017-11-15 16:27:58 UTC
Created attachment 188022 [details]
poudriere testport build log
Comment 2 Mathieu Arnold freebsd_committer 2018-02-12 11:54:01 UTC
Thank you for assigning this to me, but I am not the maintainer here.

Side note, make sure this is committed with a svn cp from the right revision of the sysutils/tmux port and not a svn add.
Comment 3 Yuri Victorovich freebsd_committer 2018-03-20 03:40:05 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-03-20 03:40:32 UTC
A commit references this bug:

Author: yuri
Date: Tue Mar 20 03:39:58 UTC 2018
New revision: 465062
URL: https://svnweb.freebsd.org/changeset/ports/465062

Log:
  New port: sysutils/tmux23: The older version 2.3 of sysutils/tmux

  Miroslav Lachman reported that the version 2.3 is free
  of buggy behavior with mouse scrolling etc. that was
  introduced in later versions.

  While in sysutils/Makefile, also fixed a minor ordering
  problem.

  PR:		223685
  Submitted by:	Miroslav Lachman <000.fbsd@quip.cz>

Changes:
  head/sysutils/Makefile
  head/sysutils/tmux/Makefile
  head/sysutils/tmux23/
  head/sysutils/tmux23/Makefile
  head/sysutils/tmux23/pkg-descr